Subject: bug#8890: 23.3; message writing slows emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Sep 2011 16:45:32 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 16 Sep 2011 09:18:51 -0400
> Cc: [email-masked]
> 
> "A few milliseconds" sounds negligible, but if it's done at every
> iteration of a loop whose body takes less than a millisecond to run
> (we can do a lot of work in a millisecond on today's machines), then
> it's a major slowdown.

Then programmers who run those loops should update the progress less
aggressively.  Redisplay (and infrastructure in general) lack the
context that would allow them to make good decisions as to when defer
repeated display.  Only the calling application can know that.

> (we can do a lot of work in a millisecond on today's machines)

>From my experience, if a full redisplay cycle takes less than 50 ms,
it "feels" responsive enough.